package com.chenyang.nse.bussiness.entity.vo;

public class DataScopeEntity {
   String schemaName;
   String tableName;
   String columnName;
   String scopeName;
   String sensitiveLevel;
   String sensitiveName;
   String dataareaName;
   String classifyid;
   String levelid;
   String isAuto;

   public String getSchemaName() {
      return this.schemaName;
   }

   public String getTableName() {
      return this.tableName;
   }

   public String getColumnName() {
      return this.columnName;
   }

   public String getScopeName() {
      return this.scopeName;
   }

   public String getSensitiveLevel() {
      return this.sensitiveLevel;
   }

   public String getSensitiveName() {
      return this.sensitiveName;
   }

   public String getDataareaName() {
      return this.dataareaName;
   }

   public String getClassifyid() {
      return this.classifyid;
   }

   public String getLevelid() {
      return this.levelid;
   }

   public String getIsAuto() {
      return this.isAuto;
   }

   public void setSchemaName(final String schemaName) {
      this.schemaName = schemaName;
   }

   public void setTableName(final String tableName) {
      this.tableName = tableName;
   }

   public void setColumnName(final String columnName) {
      this.columnName = columnName;
   }

   public void setScopeName(final String scopeName) {
      this.scopeName = scopeName;
   }

   public void setSensitiveLevel(final String sensitiveLevel) {
      this.sensitiveLevel = sensitiveLevel;
   }

   public void setSensitiveName(final String sensitiveName) {
      this.sensitiveName = sensitiveName;
   }

   public void setDataareaName(final String dataareaName) {
      this.dataareaName = dataareaName;
   }

   public void setClassifyid(final String classifyid) {
      this.classifyid = classifyid;
   }

   public void setLevelid(final String levelid) {
      this.levelid = levelid;
   }

   public void setIsAuto(final String isAuto) {
      this.isAuto = isAuto;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof DataScopeEntity)) {
         return false;
      } else {
         DataScopeEntity other = (DataScopeEntity)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$schemaName = this.getSchemaName();
            Object other$schemaName = other.getSchemaName();
            if (this$schemaName == null) {
               if (other$schemaName != null) {
                  return false;
               }
            } else if (!this$schemaName.equals(other$schemaName)) {
               return false;
            }

            Object this$tableName = this.getTableName();
            Object other$tableName = other.getTableName();
            if (this$tableName == null) {
               if (other$tableName != null) {
                  return false;
               }
            } else if (!this$tableName.equals(other$tableName)) {
               return false;
            }

            Object this$columnName = this.getColumnName();
            Object other$columnName = other.getColumnName();
            if (this$columnName == null) {
               if (other$columnName != null) {
                  return false;
               }
            } else if (!this$columnName.equals(other$columnName)) {
               return false;
            }

            Object this$scopeName = this.getScopeName();
            Object other$scopeName = other.getScopeName();
            if (this$scopeName == null) {
               if (other$scopeName != null) {
                  return false;
               }
            } else if (!this$scopeName.equals(other$scopeName)) {
               return false;
            }

            Object this$sensitiveLevel = this.getSensitiveLevel();
            Object other$sensitiveLevel = other.getSensitiveLevel();
            if (this$sensitiveLevel == null) {
               if (other$sensitiveLevel != null) {
                  return false;
               }
            } else if (!this$sensitiveLevel.equals(other$sensitiveLevel)) {
               return false;
            }

            Object this$sensitiveName = this.getSensitiveName();
            Object other$sensitiveName = other.getSensitiveName();
            if (this$sensitiveName == null) {
               if (other$sensitiveName != null) {
                  return false;
               }
            } else if (!this$sensitiveName.equals(other$sensitiveName)) {
               return false;
            }

            Object this$dataareaName = this.getDataareaName();
            Object other$dataareaName = other.getDataareaName();
            if (this$dataareaName == null) {
               if (other$dataareaName != null) {
                  return false;
               }
            } else if (!this$dataareaName.equals(other$dataareaName)) {
               return false;
            }

            Object this$classifyid = this.getClassifyid();
            Object other$classifyid = other.getClassifyid();
            if (this$classifyid == null) {
               if (other$classifyid != null) {
                  return false;
               }
            } else if (!this$classifyid.equals(other$classifyid)) {
               return false;
            }

            Object this$levelid = this.getLevelid();
            Object other$levelid = other.getLevelid();
            if (this$levelid == null) {
               if (other$levelid != null) {
                  return false;
               }
            } else if (!this$levelid.equals(other$levelid)) {
               return false;
            }

            Object this$isAuto = this.getIsAuto();
            Object other$isAuto = other.getIsAuto();
            if (this$isAuto == null) {
               if (other$isAuto != null) {
                  return false;
               }
            } else if (!this$isAuto.equals(other$isAuto)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof DataScopeEntity;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $schemaName = this.getSchemaName();
      result = result * 59 + ($schemaName == null ? 43 : $schemaName.hashCode());
      Object $tableName = this.getTableName();
      result = result * 59 + ($tableName == null ? 43 : $tableName.hashCode());
      Object $columnName = this.getColumnName();
      result = result * 59 + ($columnName == null ? 43 : $columnName.hashCode());
      Object $scopeName = this.getScopeName();
      result = result * 59 + ($scopeName == null ? 43 : $scopeName.hashCode());
      Object $sensitiveLevel = this.getSensitiveLevel();
      result = result * 59 + ($sensitiveLevel == null ? 43 : $sensitiveLevel.hashCode());
      Object $sensitiveName = this.getSensitiveName();
      result = result * 59 + ($sensitiveName == null ? 43 : $sensitiveName.hashCode());
      Object $dataareaName = this.getDataareaName();
      result = result * 59 + ($dataareaName == null ? 43 : $dataareaName.hashCode());
      Object $classifyid = this.getClassifyid();
      result = result * 59 + ($classifyid == null ? 43 : $classifyid.hashCode());
      Object $levelid = this.getLevelid();
      result = result * 59 + ($levelid == null ? 43 : $levelid.hashCode());
      Object $isAuto = this.getIsAuto();
      result = result * 59 + ($isAuto == null ? 43 : $isAuto.hashCode());
      return result;
   }

   public String toString() {
      return "DataScopeEntity(schemaName=" + this.getSchemaName() + ", tableName=" + this.getTableName() + ", columnName=" + this.getColumnName() + ", scopeName=" + this.getScopeName() + ", sensitiveLevel=" + this.getSensitiveLevel() + ", sensitiveName=" + this.getSensitiveName() + ", dataareaName=" + this.getDataareaName() + ", classifyid=" + this.getClassifyid() + ", levelid=" + this.getLevelid() + ", isAuto=" + this.getIsAuto() + ")";
   }
}
